# Record TCefOverlayController

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefOverlayController = record`

## Description

Controller for an overlay that contains a contents View added via ICefWindow.AddOverlayView. Methods exposed by this controller should be called in preference to functions of the same name exposed by the contents View unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefOverlayController.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_overlay_controller_capi.h">CEF source file: /include/capi/views/cef_overlay_controller_capi.h (cef_overlay_controller_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `is_valid: function(self: PCefOverlayController): integer; stdcall;`
| `is_same: function(self, that: PCefOverlayController): integer; stdcall;`
| `get_contents_view: function(self: PCefOverlayController): PCefView; stdcall;`
| `get_window: function(self: PCefOverlayController): PCefWindow; stdcall;`
| `get_docking_mode: function(self: PCefOverlayController): TCefDockingMode; stdcall;`
| `destroy: procedure(self: PCefOverlayController); stdcall;`
| `set_bounds: procedure(self: PCefOverlayController; const bounds: PCefRect); stdcall;`
| `get_bounds: function(self: PCefOverlayController): TCefRect; stdcall;`
| `get_bounds_in_screen: function(self: PCefOverlayController): TCefRect; stdcall;`
| `set_size: procedure(self: PCefOverlayController; const size: PCefSize); stdcall;`
| `get_size: function(self: PCefOverlayController): TCefSize; stdcall;`
| `set_position: procedure(self: PCefOverlayController; const position: PCefPoint); stdcall;`
| `get_position: function(self: PCefOverlayController): TCefPoint; stdcall;`
| `set_insets: procedure(self: PCefOverlayController; const insets: PCefInsets); stdcall;`
| `get_insets: function(self: PCefOverlayController): TCefInsets; stdcall;`
| `size_to_preferred_size: procedure(self: PCefOverlayController); stdcall;`
| `set_visible: procedure(self: PCefOverlayController; visible: integer); stdcall;`
| `is_visible: function(self: PCefOverlayController): integer; stdcall;`
| `is_drawn: function(self: PCefOverlayController): integer; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `is_valid: function(self: PCefOverlayController): integer; stdcall;`
This item has no description.

| `is_same: function(self, that: PCefOverlayController): integer; stdcall;`
This item has no description.

| `get_contents_view: function(self: PCefOverlayController): PCefView; stdcall;`
This item has no description.

| `get_window: function(self: PCefOverlayController): PCefWindow; stdcall;`
This item has no description.

| `get_docking_mode: function(self: PCefOverlayController): TCefDockingMode; stdcall;`
This item has no description.

| `destroy: procedure(self: PCefOverlayController); stdcall;`
This item has no description.

| `set_bounds: procedure(self: PCefOverlayController; const bounds: PCefRect); stdcall;`
This item has no description.

| `get_bounds: function(self: PCefOverlayController): TCefRect; stdcall;`
This item has no description.

| `get_bounds_in_screen: function(self: PCefOverlayController): TCefRect; stdcall;`
This item has no description.

| `set_size: procedure(self: PCefOverlayController; const size: PCefSize); stdcall;`
This item has no description.

| `get_size: function(self: PCefOverlayController): TCefSize; stdcall;`
This item has no description.

| `set_position: procedure(self: PCefOverlayController; const position: PCefPoint); stdcall;`
This item has no description.

| `get_position: function(self: PCefOverlayController): TCefPoint; stdcall;`
This item has no description.

| `set_insets: procedure(self: PCefOverlayController; const insets: PCefInsets); stdcall;`
This item has no description.

| `get_insets: function(self: PCefOverlayController): TCefInsets; stdcall;`
This item has no description.

| `size_to_preferred_size: procedure(self: PCefOverlayController); stdcall;`
This item has no description.

| `set_visible: procedure(self: PCefOverlayController; visible: integer); stdcall;`
This item has no description.

| `is_visible: function(self: PCefOverlayController): integer; stdcall;`
This item has no description.

| `is_drawn: function(self: PCefOverlayController): integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.